Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class Slasdt

    java.lang.Object
      org.netlib.lapack.Slasdt

    public class Slasdt

extends java.lang.Object

    Following is the description from the original
    Fortran source.  For each array argument, the Java
    version will include an integer offset parameter, so
    the arguments may not match the description exactly.
    Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLASDT creates a tree of subproblems for bidiagonal divide and
     *  conquer.
     *
     *  Arguments
     *  =========
     *
     *   N      (input) INTEGER
     *          On entry, the number of diagonal elements of the
     *          bidiagonal matrix.
     *
     *   LVL    (output) INTEGER
     *          On exit, the number of levels on the computation tree.
     *
     *   ND     (output) INTEGER
     *          On exit, the number of nodes on the tree.
     *
     *   INODE  (output) INTEGER array, dimension ( N )
     *          On exit, centers of subproblems.
     *
     *   NDIML  (output) INTEGER array, dimension ( N )
     *          On exit, row dimensions of left children.
     *
     *   NDIMR  (output) INTEGER array, dimension ( N )
     *          On exit, row dimensions of right children.
     *
     *   MSUB   (input) INTEGER.
     *          On entry, the maximum row dimension each subproblem at the
     *          bottom of the tree can be of.
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Ming Gu and Huan Ren, Computer Science Division, University of
     *     California at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`Slasdt()`

Method Summary
`static void` | `slasdt(int n, intW lvl, intW nd, int[] inode, int _inode_offset, int[] ndiml, int _ndiml_offset, int[] ndimr, int _ndimr_offset, int msub)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Slasdt

    public Slasdt()

Method Detail

### slasdt

    public static void slasdt(int n,
                              intW lvl,
                              intW nd,
                              int[] inode,
                              int _inode_offset,
                              int[] ndiml,
                              int _ndiml_offset,
                              int[] ndimr,
                              int _ndimr_offset,
                              int msub)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD